import styled from 'styled-components';
import { Flexbox, Button } from '../..';
import { CLOSE_ICON_SIZE } from './consts';
import Bubble from './Bubble';
export var SVG = styled.svg.withConfig({
  displayName: "CoachMarksstyled__SVG",
  componentId: "sc-1jblcxt-0"
})(["overflow:hidden;position:fixed;left:0;top:0;width:100vw;height:100vh;fill:", ";z-index:", ";transition:all 0.3s ease-out,height 0s 0s,opacity 0.3s 0s;"], function (p) {
  return p.theme.color.modalBackdrop;
}, function (p) {
  return p.theme.zIndex.modal;
});
export var TitleWrapper = styled.div.withConfig({
  displayName: "CoachMarksstyled__TitleWrapper",
  componentId: "sc-1jblcxt-1"
})(["padding-right:", "px;"], function (p) {
  return p.$hasIcon ? 0 : p.theme.spacing.unit(CLOSE_ICON_SIZE);
});
export var FooterFlex = styled(Flexbox).withConfig({
  displayName: "CoachMarksstyled__FooterFlex",
  componentId: "sc-1jblcxt-2"
})(["margin-top:auto;"]);
export var IconFlex = styled(Flexbox).withConfig({
  displayName: "CoachMarksstyled__IconFlex",
  componentId: "sc-1jblcxt-3"
})(["margin-bottom:", "px;"], function (p) {
  return p.theme.spacing.unit(1);
});
export var NavigationButtonsContainer = styled(Flexbox).withConfig({
  displayName: "CoachMarksstyled__NavigationButtonsContainer",
  componentId: "sc-1jblcxt-4"
})(["margin-left:auto;min-width:", ";"], function (p) {
  return p.$hasSingleButton ? "".concat(p.theme.spacing.unit(19), "px") : "".concat(p.theme.spacing.unit(44), "px");
});
export var Content = styled.div.withConfig({
  displayName: "CoachMarksstyled__Content",
  componentId: "sc-1jblcxt-5"
})(["color:", ";"], function (p) {
  return p.theme.color.bubbleSecondaryText;
});
export var CloseButton = styled(Button.Icon).withConfig({
  displayName: "CoachMarksstyled__CloseButton",
  componentId: "sc-1jblcxt-6"
})(["position:absolute;top:", "px;right:", "px;", "{right:", "px;}"], function (p) {
  return p.theme.spacing.unit(5);
}, function (p) {
  return p.theme.spacing.unit(5);
}, function (p) {
  return p.theme.media.lessThan(p.theme.breakpoints.sm);
}, function (p) {
  return p.theme.spacing.unit(3);
});
export var StyledBubble = styled(Bubble).withConfig({
  displayName: "CoachMarksstyled__StyledBubble",
  componentId: "sc-1jblcxt-7"
})(["", ""], function (p) {
  return p.feedbackWidgetMode && "\n      position: fixed;\n      bottom: 40px;\n      right: 40px;\n      z-index: 501;\n      filter: drop-shadow(0px 4px 8px rgba(0, 0, 0, 0.4));\n    ";
});